#include <iostream>
#include <string>
#include <vector>

using namespace std;

typedef vector<int> vi;

// Given strings t and p, return the indices of t where p occurs
// as a substring
void compute_prefix(const string& s, vi& pi) {
  pi.assign(s.size(), -1);
  int k = -1;
  for(int i = 1; i < s.size(); i++) {
    while(k >= 0 && s[k + 1] != s[i]) k = pi[k];
    if(s[k + 1] == s[i]) k++;
    pi[i] = k;
  }
}

int main() {
  string s;
  while (cin >> s && s != ".") {
    vi pi;
    compute_prefix(s, pi);
    cout << s.length() / (s.length() - pi.back() - 1) << endl;
  }

  return 0;
}
